GDB (xrefs)

Public Attributes | List of all members
tui_locator_element Struct Reference

`#include "tui-data.h"`

## Public Attributes
char | full_name [MAX_LOCATOR_ELEMENT_LEN]
char | proc_name [MAX_LOCATOR_ELEMENT_LEN]
int | line_no
CORE_ADDR | addr
struct gdbarch * | gdbarch

## Detailed Description

Definition at line 193 of file tui-data.h.

## Member Data Documentation

## ◆ addr

CORE_ADDR tui_locator_element::addr

Definition at line 199 of file tui-data.h.

Referenced by init_content_element(), tui_get_begin_asm_address(), tui_set_disassem_content(), tui_set_locator_info(), and tui_show_frame_info().

## ◆ full_name

char tui_locator_element::full_name[MAX_LOCATOR_ELEMENT_LEN]

Definition at line 196 of file tui-data.h.

Referenced by init_content_element(), tui_set_locator_fullname(), tui_set_locator_info(), tui_set_source_content(), and tui_source_is_displayed().

## ◆ gdbarch

struct gdbarch* tui_locator_element::gdbarch

Definition at line 201 of file tui-data.h.

Referenced by tui_get_begin_asm_address(), and tui_set_locator_info().

## ◆ line_no

int tui_locator_element::line_no

Definition at line 198 of file tui-data.h.

Referenced by init_content_element(), tui_set_locator_info(), tui_set_source_content(), and tui_show_frame_info().

## ◆ proc_name

char tui_locator_element::proc_name[MAX_LOCATOR_ELEMENT_LEN]

Definition at line 197 of file tui-data.h.

Referenced by init_content_element(), and tui_set_locator_info().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tui/tui-data.h